Subject: Re: bug#16946: 24.3; Rmail behaviour with a username containing "@"

From: Lars Ingebrigtsen <[email-masked]>
Date: Sun, 06 Dec 2020 14:54:26 +0100

Robert Thorpe <[email-masked]> writes:

> I think it's caused by movemail from GNU Mailutils though.  Mailutils
> can't deal with two "@" symbols (one in the username and another for the
> server).  I can replicate this by using movemail on the command line
> without any Emacs involvement.  I think this is a bug in mailutils.
> Would you agree?  If so I'll report it.

I'm not quite sure.  As you point out:

> I'm not sure that it would be possible for the Mailutils maintainers to
> fix it without changing the options format for the command.  On the
> other hand I think the options format really should be changed.
>
> The kludge to fix this is to use "%40" in the email address instead of
> "@".  That's what I've been using.

So perhaps we should just fix Emacs to allow %40, and document that.
You said:

> To solve this for myself I've edited the function
> rmail-insert-inbox-text just after this bit:
>       ;; At this point, TOFILE contains the name to read:
>       ;; Either the alternate name (if we renamed)
>       ;; or the actual inbox (if not renaming).
>
> I've put in some code to substitute %40 for @ in tofile.  That fixes the
> problem for me, but it's not a real fix.

Could you submit a patch for that, so that we could see what that'd look
like?

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no